`timescale 1ns/1ps

module ff_cdc_tb();

logic clk_a, clk_b;

initial begin
    clk_a <= '1;
    forever begin
        #5 clk_a <= ~clk_a;
    end
end

initial begin
    clk_b <= '1;
    forever begin
        #6 clk_b <= ~clk_b;
    end
end

logic a, b;
logic w_rst;

ff_cdc u_ff_cdc (
    .clk(clk_b),
    .data_a(a),
    .data_b(b)
);

initial begin
    a = 0;
    repeat (5) @(posedge clk_b);

    repeat (5) @(posedge clk_a);
    a = 1;

    repeat (5) @(posedge clk_b);
    $finish();
end

initial begin
    $dumpfile("ff_cdc_tb.vcd");
    $dumpvars(0,ff_cdc_tb);
end


endmodule